/*
================================================================================
 File: boot.h
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       boot
 Compiler:      ANSI C
 Hardware:      
 Doc:
--------------------------------------------------------------------------------
 Includes:      
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostępnione jest do celów poglądowych,
                nie jest przetestowane pod kątem bezpieczeństwa ani spełnienia
                jakichkolwiek norm wymaganych aby urządzenie używające go
                mogło być dopuszczone do użytku, dlatego używasz go
                na własną odpowiedzialność a jego autor nie ponosi żadnego
                typu odpowiedzialności za jakiekolwiek skutki jego użycia.
                Jeżeli nie zgadzasz się z powyższym warunkiem proszę
                o nieużywanie tego oprogramowania.
================================================================================
*/

#ifndef BOOT_H_
#define BOOT_H_

#include <stdint.h>
#include "boot_config.h"


#define FLASH_SIZE_REG	((uint16_t*)0x1FFFF7E0)


void boot_try(void);
void boot_force(void);
 

#endif /*COMM_PROTO_H_*/
