/*
================================================================================
 File: user_app_test.c
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       tests is in the flash valid application
 Compiler:      ANSI C
 Hardware:      
 Doc:
--------------------------------------------------------------------------------
 Includes:      
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostępnione jest do celów poglądowych,
                nie jest przetestowane pod kątem bezpieczeństwa ani spełnienia
                jakichkolwiek norm wymaganych aby urządzenie używające go
                mogło być dopuszczone do użytku, dlatego używasz go
                na własną odpowiedzialność a jego autor nie ponosi żadnego
                typu odpowiedzialności za jakiekolwiek skutki jego użycia.
                Jeżeli nie zgadzasz się z powyższym warunkiem proszę
                o nieużywanie tego oprogramowania.
================================================================================
*/

#include "user_app_test.h"
#include "boot_config.h"

uint8_t is_app_correct(void) {
	uint32_t *app_vector_isr;
	app_vector_isr = (uint32_t *)DEF_APP_ADDRESS;
	
	// app seems to be incorrect
    if ((app_vector_isr[0] == 0xffffffff) || (app_vector_isr[0] == 0x0) ||
        (app_vector_isr[1] == 0xffffffff) || (app_vector_isr[1] == 0x0))
    {
        return(0);
    }
    return(1);
}