/*
================================================================================
 File: boot_config.h
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       bootloader settings
 Compiler:      ANSI C
 Hardware:      
 Doc:
--------------------------------------------------------------------------------
 Includes:      
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostępnione jest do celów poglądowych,
                nie jest przetestowane pod kątem bezpieczeństwa ani spełnienia
                jakichkolwiek norm wymaganych aby urządzenie używające go
                mogło być dopuszczone do użytku, dlatego używasz go
                na własną odpowiedzialność a jego autor nie ponosi żadnego
                typu odpowiedzialności za jakiekolwiek skutki jego użycia.
                Jeżeli nie zgadzasz się z powyższym warunkiem proszę
                o nieużywanie tego oprogramowania.
================================================================================
*/

#ifndef BOOT_CONFIG_H_
#define BOOT_CONFIG_H_


#define DEF_APP_ADDRESS	0x8002000

//#define MAX_PAGE_SIZE		1024
#define MAX_PAGE_SIZE		2048


#define BOOT_CALL_BY_JUMP_SUPPORT	1
#define BOOT_CALL_BY_RESET_SUPPORT	1

#endif /*BOOT_CONFIG_H_*/
