#ifndef FLASH_H_
#define FLASH_H_

#include <stdint.h>


void FlashUnlock(void);
void FlashLock(void);

uint32_t FlashErasePage(uint32_t page_address);

uint32_t FlashWritePage(uint32_t page_address, const uint8_t *chunk, uint32_t chunk_len);


#endif /*FLASH_H_*/
